Information on source package ruby3.0

Available versions

ReleaseVersion
bookworm3.0.3-1
sid3.0.4-7

Open issues

BugbookwormsidDescription
CVE-2022-28739vulnerablefixedThere is a buffer over-read in Ruby before 2.6.10, 2.7.x before 2.7.6, ...
CVE-2022-28738vulnerablefixedA double free was found in the Regexp compiler in Ruby 3.x before 3.0. ...

Resolved issues

BugDescription
CVE-2021-41819CGI::Cookie.parse in Ruby through 2.6.8 mishandles security prefixes i ...
CVE-2021-41817Date.parse in the date gem through 3.2.0 for Ruby allows ReDoS (regula ...
CVE-2021-41816CGI.escape_html in Ruby before 2.7.5 and 3.x before 3.0.3 has an integ ...

Search for package or bug name: Reporting problems